| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iutil/eventnames.h File Reference

General event name resolver interface. More...

`#include "iutil/strset.h"`
`#include "csutil/scf_interface.h"`

Go to the source code of this file.

## Classes
struct | iEventNameRegistry
| This interface represents a general event name resolver. More...
## Defines
#define | CS_EVENT_INVALID csInvalidStringID
#define | CS_EVENTLIST_END csInvalidStringID
## Typedefs
typedef csStringID | csEventID
| A csEventID is a handle for a string representing an event's hierarchical name (e.g., "crystalspace.input.keyboard.down").

## Detailed Description

General event name resolver interface.

Definition in file eventnames.h.